%define     javadir      %{_datadir}/java
%define     javadocdir   %{_datadir}/javadoc/%{name}
%define     releasev     20011128

Summary:    Graphical Java debugger 
Name:       jswat
Version:    1.4.8
Release:    1
Group:      Development/Tools
Copyright:  GPL
Url:        http://www.bluemarsh.com/java/jswat
BuildArch:  noarch
Source0:    %{name}-src-%{releasev}.tar.gz
Source1:    %{name}.sh
BuildRoot:  %{_tmppath}/%{name}-root

%description 

JSwat is a graphical Java debugger front-end written in Java, using the
Java 2 Platform. This program is under constant development, though it
can be considered fairly stable and somewhat feature complete.

%package javadoc
Group: Documentation
Summary: Javadoc for %{name}

%description javadoc
Javadoc for %{name}

%prep
%setup -q -n %{name}

%build
ant -DDSTAMP=%{version} classes
ant -DDSTAMP=%{version} api

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{javadir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{javadocdir}

install dist/%{name}/%{name}-%{version}.jar ${RPM_BUILD_ROOT}%{javadir}/
cp -prf apidist/* ${RPM_BUILD_ROOT}%{javadocdir}
install %{SOURCE1} ${RPM_BUILD_ROOT}%{_bindir}/%{name}

# versioning
(cd ${RPM_BUILD_ROOT}/%{javadir}; ln -s %{name}-%{version}.jar %{name}.jar)

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc example.jswatrc *.txt
%attr(644,root,root) %{javadir}/*.jar
%attr(755,root,root) %{_bindir}/%{name}

%files javadoc
%defattr(644,root,root,755)
%{javadocdir}

%changelog
* Tue Dec 04 2001 Henri Gomez <hgomez@slib.fr>
- jswat 1.4.8

* Fri Nov 16 2001 Henri Gomez <hgomez@slib.fr>
- jswat 1.4.6
- built with IBM JDK 1.3.0 (cx130-20010626) and jikes 1.1.5

* Tue Oct 23 2001 Henri Gomez <hgomez@slib.fr>
- jswat 1.4.4
- built with IBM JDK 1.3.0 (cx130-20010626) and jikes 1.1.5

* Tue Aug 28 2001 Henri Gomez <hgomez@slib.fr>
- RPM release 2
- corrected manual location to httpd docroot
- corrected spec when removing {RPM_BUILD_ROOT}

* Mon Aug 27 2001 Henri Gomez <hgomez@slib.fr>
- Initial release
- built with IBM JDK 1.3.0 (cx130-20010626) and jikes 1.14
- build CLASSPATH=


